<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>turntable_default</name>
  <program_name>turntable</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>bluetone</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
  <output_main_file>False</output_main_file>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window2</name>
  <visible>False</visible>
  <title>window2</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>True</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <height>204</height>
    <signal>
      <name>drag_data_received</name>
      <handler>gdam_turntable_frame_drag_data_received</handler>
      <last_modification_time>Wed, 06 Oct 1999 02:18:17 GMT</last_modification_time>
    </signal>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_NONE</shadow_type>

    <widget>
      <class>GtkFixed</class>
      <name>fixed1_blue</name>
      <width>280</width>
      <height>200</height>

      <widget>
	<class>GtkDrawingArea</class>
	<name>drawingarea1_allblack</name>
	<x>16</x>
	<y>143</y>
	<width>246</width>
	<height>22</height>
	<sensitive>False</sensitive>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox1_allblack</name>
	<x>37</x>
	<y>33</y>
	<width>70</width>
	<height>80</height>
	<signal>
	  <name>drag_data_get</name>
	  <handler>gdam_skin_tempo_drag_source</handler>
	  <last_modification_time>Wed, 06 Oct 1999 03:27:40 GMT</last_modification_time>
	</signal>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_turntable_tempo_data_drag</handler>
	  <last_modification_time>Wed, 12 Apr 2000 04:52:05 GMT</last_modification_time>
	</signal>

	<widget>
	  <class>GtkFrame</class>
	  <name>frame1_allblack</name>
	  <label_xalign>0</label_xalign>
	  <shadow_type>GTK_SHADOW_IN</shadow_type>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox4</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>

	    <widget>
	      <class>GtkLabel</class>
	      <name>label3_inactivelabel</name>
	      <label>rate:</label>
	      <justify>GTK_JUSTIFY_CENTER</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkLabel</class>
	      <name>rate_invlabel</name>
	      <width>56</width>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_label:resample_rate:%3.2f%%:100:0</handler>
		<last_modification_time>Wed, 19 Jul 2000 20:15:22 GMT</last_modification_time>
	      </signal>
	      <label>0.000</label>
	      <justify>GTK_JUSTIFY_CENTER</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkLabel</class>
	      <name>label1_inactivelabel</name>
	      <label>tempo:</label>
	      <justify>GTK_JUSTIFY_CENTER</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkHBox</class>
	      <name>hbox4_allblack</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkVBox</class>
		<name>vbox4</name>
		<homogeneous>False</homogeneous>
		<spacing>0</spacing>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>

		<widget>
		  <class>Custom</class>
		  <name>custom6</name>
		  <width>8</width>
		  <height>7</height>
		  <tooltip>double effective tempo</tooltip>
		  <can_focus>True</can_focus>
		  <signal>
		    <name>gdam-left-clicked</name>
		    <handler>gdam_skin_arg_int:nudge_bpm_factor:-1</handler>
		    <last_modification_time>Thu, 04 May 2000 00:52:39 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_button_create_func</creation_function>
		  <string1>bluetone/up.xpm:bluetone/up.xpm:bluetone/up.xpm:bluetone/up.xpm</string1>
		  <int1>0</int1>
		  <int2>0</int2>
		  <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  <child>
		    <padding>1</padding>
		    <expand>False</expand>
		    <fill>False</fill>
		  </child>
		</widget>

		<widget>
		  <class>Custom</class>
		  <name>custom7</name>
		  <width>8</width>
		  <height>7</height>
		  <tooltip>halve effective tempo</tooltip>
		  <can_focus>True</can_focus>
		  <signal>
		    <name>gdam-left-clicked</name>
		    <handler>gdam_skin_arg_int:nudge_bpm_factor:1</handler>
		    <last_modification_time>Thu, 04 May 2000 00:56:51 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_button_create_func</creation_function>
		  <string1>bluetone/down.xpm:bluetone/down.xpm:bluetone/down.xpm:bluetone/down.xpm</string1>
		  <int1>0</int1>
		  <int2>0</int2>
		  <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  <child>
		    <padding>1</padding>
		    <expand>False</expand>
		    <fill>False</fill>
		  </child>
		</widget>
	      </widget>

	      <widget>
		<class>GtkLabel</class>
		<name>bpm_invlabel</name>
		<width>56</width>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_skin_bpm_label</handler>
		  <last_modification_time>Wed, 06 Oct 1999 01:55:49 GMT</last_modification_time>
		</signal>
		<label>0.000</label>
		<justify>GTK_JUSTIFY_LEFT</justify>
		<wrap>False</wrap>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>
	    </widget>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<name>beatnum_label</name>
	<x>118</x>
	<y>148</y>
	<width>60</width>
	<height>20</height>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_turntable_beatnum_label</handler>
	  <last_modification_time>Wed, 06 Oct 1999 00:56:28 GMT</last_modification_time>
	</signal>
	<label>0.00</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox_allblack</name>
	<x>27</x>
	<y>148</y>
	<width>90</width>
	<height>15</height>
	<tooltip>position in seconds</tooltip>

	<widget>
	  <class>GtkLabel</class>
	  <name>time_invlabel</name>
	  <width>80</width>
	  <height>20</height>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_turntable_time_label</handler>
	    <last_modification_time>Wed, 06 Oct 1999 00:50:50 GMT</last_modification_time>
	  </signal>
	  <label>000:00.00</label>
	  <justify>GTK_JUSTIFY_LEFT</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>2</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox4_allblack</name>
	<x>123</x>
	<y>148</y>
	<width>63</width>
	<height>15</height>
	<tooltip>position in beats</tooltip>

	<widget>
	  <class>GtkLabel</class>
	  <name>beatnum_invlabel</name>
	  <width>65</width>
	  <height>20</height>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_turntable_beatnum_label</handler>
	    <last_modification_time>Wed, 03 May 2000 04:13:05 GMT</last_modification_time>
	  </signal>
	  <label>000.000</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox6_allblack</name>
	<x>104</x>
	<y>151</y>
	<width>10</width>
	<height>12</height>

	<widget>
	  <class>GtkLabel</class>
	  <name>label5_inactivelabel</name>
	  <height>12</height>
	  <label>s</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox1_allblack</name>
	<x>184</x>
	<y>151</y>
	<width>10</width>
	<height>12</height>

	<widget>
	  <class>GtkLabel</class>
	  <name>label1_inactivelabel</name>
	  <height>12</height>
	  <label>b</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>

      <widget>
	<class>GtkPixmap</class>
	<name>pixmap_blue</name>
	<x>0</x>
	<y>0</y>
	<width>0</width>
	<height>0</height>
	<filename>bluetonetable.xpm</filename>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<build_insensitive>True</build_insensitive>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>gdam_turntable_producer_box</name>
	<x>12</x>
	<y>163</y>
	<width>253</width>
	<height>20</height>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_turntable_producer_container</handler>
	  <last_modification_time>Wed, 03 May 2000 02:16:25 GMT</last_modification_time>
	</signal>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>Placeholder</class>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox1</name>
	<x>249</x>
	<y>151</y>
	<width>13</width>
	<height>11</height>
	<tooltip>anchor this turntable; other tracks will synch to this turntable.</tooltip>
	<signal>
	  <name>gdam-left-clicked</name>
	  <handler>gdam_skin_arg_int:anchored:1</handler>
	  <last_modification_time>Tue, 16 May 2000 03:16:57 GMT</last_modification_time>
	</signal>

	<widget>
	  <class>Custom</class>
	  <name>custom11</name>
	  <width>13</width>
	  <height>11</height>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_skin_toggle_button:anchored</handler>
	    <last_modification_time>Tue, 18 Jul 2000 03:29:17 GMT</last_modification_time>
	  </signal>
	  <creation_function>gtk_pix_button_create_func</creation_function>
	  <string1>bluetone/minianchor_white.xpm:bluetone/minianchor_red.xpm:bluetone/minianchor_white.xpm:bluetone/minianchor_red.xpm</string1>
	  <int1>1</int1>
	  <int2>0</int2>
	  <last_modification_time>Fri, 12 May 2000 23:00:20 GMT</last_modification_time>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox2_allblack</name>
	<x>10</x>
	<y>149</y>
	<width>16</width>
	<height>13</height>
	<tooltip>change the timer origin; click to cycle between count-from-zero, count-from-firstbeat, and count-to-end</tooltip>
	<signal>
	  <name>button_press_event</name>
	  <handler>gdam_turntable_nudge_timer_origin</handler>
	  <last_modification_time>Sat, 27 May 2000 04:55:09 GMT</last_modification_time>
	</signal>

	<widget>
	  <class>GtkLabel</class>
	  <name>cycle_origin_activelabel</name>
	  <width>16</width>
	  <height>16</height>
	  <label>...</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>

      <widget>
	<class>GtkTable</class>
	<name>table1</name>
	<x>120</x>
	<y>32</y>
	<width>140</width>
	<height>70</height>
	<rows>2</rows>
	<columns>4</columns>
	<homogeneous>False</homogeneous>
	<row_spacing>0</row_spacing>
	<column_spacing>0</column_spacing>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox7</name>
	  <tooltip>nudge the track forward; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
	  <child>
	    <left_attach>3</left_attach>
	    <right_attach>4</right_attach>
	    <top_attach>0</top_attach>
	    <bottom_attach>1</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>True</xfill>
	    <yfill>True</yfill>
	  </child>

	  <widget>
	    <class>Custom</class>
	    <name>custom1</name>
	    <width>35</width>
	    <height>35</height>
	    <can_focus>True</can_focus>
	  <tooltip>nudge the track forward; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:seek:0.01</handler>
	      <last_modification_time>Thu, 28 Dec 2000 20:04:08 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-shift-clicked</name>
	      <handler>gdam_skin_arg_double:seek:0.05</handler>
	      <last_modification_time>Thu, 28 Dec 2000 20:00:26 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:seek:0.05</handler>
	      <last_modification_time>Thu, 28 Dec 2000 20:02:27 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-control-clicked</name>
	      <handler>gdam_skin_arg_double:seek:0.002</handler>
	      <last_modification_time>Thu, 28 Dec 2000 20:03:56 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-middle-clicked</name>
	      <handler>gdam_skin_arg_double:seek:0.002</handler>
	      <last_modification_time>Thu, 28 Dec 2000 20:04:23 GMT</last_modification_time>
	    </signal>
	    <creation_function>gtk_pix_button_create_func</creation_function>
	    <string1>bluetone/nudgef.xpm:bluetone/nudgef.xpm:bluetone/nudgef.xpm:bluetone/nudgef.xpm</string1>
	    <int1>0</int1>
	    <int2>0</int2>
	    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	  </widget>
	</widget>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox8</name>
	  <tooltip>click to nudge the track back; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
	  <child>
	    <left_attach>0</left_attach>
	    <right_attach>1</right_attach>
	    <top_attach>0</top_attach>
	    <bottom_attach>1</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>True</xfill>
	    <yfill>True</yfill>
	  </child>

	  <widget>
	    <class>Custom</class>
	    <name>nudgeb_button</name>
	    <width>35</width>
	    <height>35</height>
	  <tooltip>click to nudge the track back; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:seek:-0.01</handler>
	      <last_modification_time>Thu, 28 Dec 2000 20:04:08 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-shift-clicked</name>
	      <handler>gdam_skin_arg_double:seek:-0.05</handler>
	      <last_modification_time>Thu, 28 Dec 2000 20:00:26 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:seek:-0.05</handler>
	      <last_modification_time>Thu, 28 Dec 2000 20:02:27 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-control-clicked</name>
	      <handler>gdam_skin_arg_double:seek:-0.002</handler>
	      <last_modification_time>Thu, 28 Dec 2000 20:03:56 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-middle-clicked</name>
	      <handler>gdam_skin_arg_double:seek:-0.002</handler>
	      <last_modification_time>Thu, 28 Dec 2000 20:04:23 GMT</last_modification_time>
	    </signal>
	    <creation_function>gtk_pix_button_create_func</creation_function>
	    <string1>bluetone/nudgeb.xpm:bluetone/nudgeb.xpm:bluetone/nudgeb.xpm:bluetone/nudgeb.xpm</string1>
	    <int1>0</int1>
	    <int2>0</int2>
	    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	  </widget>
	</widget>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox9</name>
	  <tooltip>click to stop; if already stopped, will seek to the first beat.  A right click while playing will seek in time to the first beat.</tooltip>
	  <child>
	    <left_attach>2</left_attach>
	    <right_attach>3</right_attach>
	    <top_attach>0</top_attach>
	    <bottom_attach>1</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>True</xfill>
	    <yfill>True</yfill>
	  </child>

	  <widget>
	    <class>Custom</class>
	    <name>stop_button</name>
	    <width>35</width>
	    <height>35</height>
	  <tooltip>click to stop; if already stopped, will seek to the first beat.  A right click while playing will seek in time to the first beat.</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_int:play_or_synch:-1</handler>
	      <last_modification_time>Sun, 05 Dec 1999 01:39:08 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_turntable_seek_fb_in_time</handler>
	      <last_modification_time>Sun, 05 Dec 1999 01:39:08 GMT</last_modification_time>
	    </signal>
	    <creation_function>gtk_pix_button_create_func</creation_function>
	    <string1>bluetone/stop.xpm:bluetone/stop.xpm:bluetone/stop.xpm:bluetone/stop.xpm</string1>
	    <int1>0</int1>
	    <int2>0</int2>
	    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	  </widget>
	</widget>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox10</name>
	  <tooltip>play.  if track is playing, a click will synch it.  a control- or right-click will start the track in synch</tooltip>
	  <child>
	    <left_attach>1</left_attach>
	    <right_attach>2</right_attach>
	    <top_attach>0</top_attach>
	    <bottom_attach>1</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>True</xfill>
	    <yfill>True</yfill>
	  </child>

	  <widget>
	    <class>Custom</class>
	    <name>play_button</name>
	    <width>35</width>
	    <height>35</height>
	  <tooltip>play.  if track is playing, a click will synch it.  a control- or right-click will start the track in synch</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_int:play_or_synch:1</handler>
	      <last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-control-clicked</name>
	      <handler>gdam_skin_arg_int:play_or_synch:2</handler>
	      <last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_int:play_or_synch:2</handler>
	      <last_modification_time>Fri, 29 Dec 2000 02:25:25 GMT</last_modification_time>
	    </signal>
	    <creation_function>gtk_pix_button_create_func</creation_function>
	    <string1>bluetone/play.xpm:bluetone/play.xpm:bluetone/play.xpm:bluetone/play.xpm</string1>
	    <int1>0</int1>
	    <int2>0</int2>
	    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	  </widget>
	</widget>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox11</name>
	  <tooltip>click to seek back two bars.  if the tempo is unknown, a bar is four seconds.  right,shift clicks seek back eight bars.  middle,control clicks seek back two beats.</tooltip>
	  <child>
	    <left_attach>0</left_attach>
	    <right_attach>1</right_attach>
	    <top_attach>1</top_attach>
	    <bottom_attach>2</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>True</xfill>
	    <yfill>True</yfill>
	  </child>

	  <widget>
	    <class>Custom</class>
	    <name>nudgembb_button</name>
	    <width>35</width>
	    <height>35</height>
	  <tooltip>click to seek back two bars.  if the tempo is unknown, a bar is four seconds.  right,shift clicks seek back eight bars.  middle,control clicks seek back two beats.</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:-2</handler>
	      <last_modification_time>Wed, 03 May 2000 04:04:39 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-shift-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:-8</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:-8</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-control-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_beats:-2</handler>
	      <last_modification_time>Wed, 03 May 2000 04:04:45 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-middle-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_beats:-2</handler>
	      <last_modification_time>Wed, 03 May 2000 04:04:45 GMT</last_modification_time>
	    </signal>
	    <creation_function>gtk_pix_button_create_func</creation_function>
	    <string1>bluetone/nudgembb.xpm:bluetone/nudgembb.xpm:bluetone/nudgembb.xpm:bluetone/nudgembb.xpm</string1>
	    <int1>0</int1>
	    <int2>0</int2>
	    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	  </widget>
	</widget>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox12</name>
	  <tooltip>seek back by one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek four bars.  control,middle clicks seek one beat.</tooltip>
	  <child>
	    <left_attach>1</left_attach>
	    <right_attach>2</right_attach>
	    <top_attach>1</top_attach>
	    <bottom_attach>2</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>True</xfill>
	    <yfill>True</yfill>
	  </child>

	  <widget>
	    <class>Custom</class>
	    <name>nudgemb_button</name>
	    <width>35</width>
	    <height>35</height>
	  <tooltip>seek back by one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek four bars.  control,middle clicks seek one beat.</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:-1</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-shift-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:-4</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:-4</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-control-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_beats:-1</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-middle-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_beats:-1</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	    </signal>
	    <creation_function>gtk_pix_button_create_func</creation_function>
	    <string1>bluetone/nudgemb.xpm:bluetone/nudgemb.xpm:bluetone/nudgemb.xpm:bluetone/nudgemb.xpm</string1>
	    <int1>0</int1>
	    <int2>0</int2>
	    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	  </widget>
	</widget>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox13</name>
	  <tooltip>seek forward one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek forward four bars.  middle,control clicks seek by one beat.</tooltip>
	  <child>
	    <left_attach>2</left_attach>
	    <right_attach>3</right_attach>
	    <top_attach>1</top_attach>
	    <bottom_attach>2</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>True</xfill>
	    <yfill>True</yfill>
	  </child>

	  <widget>
	    <class>Custom</class>
	    <name>custom4</name>
	    <width>35</width>
	    <height>35</height>
	  <tooltip>seek forward one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek forward four bars.  middle,control clicks seek by one beat.</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:1</handler>
	      <last_modification_time>Thu, 04 May 2000 01:00:58 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-shift-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:4</handler>
	      <last_modification_time>Thu, 04 May 2000 01:00:58 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:4</handler>
	      <last_modification_time>Thu, 04 May 2000 01:00:58 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-control-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_beats:1</handler>
	      <last_modification_time>Thu, 04 May 2000 01:01:02 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-middle-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_beats:1</handler>
	      <last_modification_time>Thu, 04 May 2000 01:01:02 GMT</last_modification_time>
	    </signal>
	    <creation_function>gtk_pix_button_create_func</creation_function>
	    <string1>bluetone/nudgemf.xpm:bluetone/nudgemf.xpm:bluetone/nudgemf.xpm:bluetone/nudgemf.xpm</string1>
	    <int1>0</int1>
	    <int2>0</int2>
	    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	  </widget>
	</widget>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox14</name>
	  <tooltip>seek forward by two bars.  shift,right clicks seek by eight bars.  control,middle clicks seek by two beats.</tooltip>
	  <child>
	    <left_attach>3</left_attach>
	    <right_attach>4</right_attach>
	    <top_attach>1</top_attach>
	    <bottom_attach>2</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>True</xfill>
	    <yfill>True</yfill>
	  </child>

	  <widget>
	    <class>Custom</class>
	    <name>nudgemff_button</name>
	    <width>35</width>
	    <height>35</height>
	  <tooltip>seek forward by two bars.  shift,right clicks seek by eight bars.  control,middle clicks seek by two beats.</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:2</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-shift-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:8</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_bars:8</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-middle-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_beats:2</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-control-clicked</name>
	      <handler>gdam_skin_arg_double:seek_by_beats:2</handler>
	      <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	    </signal>
	    <creation_function>gtk_pix_button_create_func</creation_function>
	    <string1>bluetone/nudgemff.xpm:bluetone/nudgemff.xpm:bluetone/nudgemff.xpm:bluetone/nudgemff.xpm</string1>
	    <int1>0</int1>
	    <int2>0</int2>
	    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox2</name>
	<x>75</x>
	<y>102</y>
	<width>13</width>
	<height>11</height>
	<tooltip>lock tempo on song load; click to toggle</tooltip>

	<widget>
	  <class>Custom</class>
	  <name>custom14</name>
	  <width>13</width>
	  <height>11</height>
	<tooltip>lock tempo on song load; click to toggle</tooltip>
	  <signal>
	    <name>toggled</name>
	    <handler>gdam_skin_toggle_button:tempo_locked</handler>
	    <last_modification_time>Sun, 20 Aug 2000 19:58:59 GMT</last_modification_time>
	  </signal>
	  <creation_function>gtk_pix_button_create_func</creation_function>
	  <string1>bluetone/minilock_white.xpm:bluetone/minilock_red.xpm:bluetone/minilock_white.xpm:bluetone/minilock_red.xpm</string1>
	  <int1>1</int1>
	  <int2>0</int2>
	  <last_modification_time>Fri, 12 May 2000 23:00:20 GMT</last_modification_time>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox4_allblack</name>
	<x>233</x>
	<y>150</y>
	<width>15</width>
	<height>13</height>
	<tooltip>cycle beat info to next range; right click to lock the current beatinfo.  if beatinfo is locked, it will not be automatically updated when a new region of the song is entered</tooltip>
	<signal>
	  <name>gdam-left-clicked</name>
	  <handler>gdam_turntable_cycle_beatinfo</handler>
	  <last_modification_time>Thu, 14 Sep 2000 01:38:31 GMT</last_modification_time>
	</signal>
	<signal>
	  <name>gdam-right-clicked</name>
	  <handler>gdam_skin_do_toggle:beatinfo_locked</handler>
	  <last_modification_time>Thu, 14 Sep 2000 01:48:23 GMT</last_modification_time>
	</signal>

	<widget>
	  <class>Custom</class>
	  <name>custom15</name>
	  <width>13</width>
	  <height>11</height>
	  <signal>
	    <name>toggled</name>
	    <handler>gdam_skin_toggle_button:beatinfo_locked</handler>
	    <last_modification_time>Thu, 14 Sep 2000 06:12:00 GMT</last_modification_time>
	  </signal>
	  <creation_function>gtk_pix_button_create_func</creation_function>
	  <string1>bluetone/minibi_yellow.xpm:bluetone/minibi_red.xpm:bluetone/minibi_yellow.xpm:bluetone/minibi_red.xpm</string1>
	  <int1>1</int1>
	  <int2>1</int2>
	  <last_modification_time>Fri, 12 May 2000 23:00:20 GMT</last_modification_time>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox3</name>
	<x>54</x>
	<y>102</y>
	<width>13</width>
	<height>11</height>
	<tooltip>change the range of the rate slider; click to toggle between +/-12% and +/-100%</tooltip>

	<widget>
	  <class>Custom</class>
	  <name>custom16</name>
	  <width>13</width>
	  <height>11</height>
	<tooltip>change the range of the rate slider; click to toggle between +/-12% and +/-100%</tooltip>
	  <signal>
	    <name>toggled</name>
	    <handler>gdam_skin_skin_toggle_button:fine_rate_control</handler>
	    <last_modification_time>Fri, 20 Oct 2000 06:10:12 GMT</last_modification_time>
	  </signal>
	  <creation_function>gtk_pix_button_create_func</creation_function>
	  <string1>bluetone/finecontrol_100.xpm:bluetone/finecontrol_12.xpm:bluetone/finecontrol_100.xpm:bluetone/finecontrol_12.xpm</string1>
	  <int1>1</int1>
	  <int2>0</int2>
	  <last_modification_time>Fri, 12 May 2000 23:00:20 GMT</last_modification_time>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox4</name>
	<x>10</x>
	<y>13</y>
	<width>21</width>
	<height>104</height>
	<tooltip>resample rate; drag, click in trough, middle-click, or use mouse wheel to change</tooltip>

	<widget>
	  <class>Custom</class>
	  <name>custom8</name>
	  <width>21</width>
	  <height>104</height>
	<tooltip>resample rate; drag, click in trough, middle-click, or use mouse wheel to change</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_skin_adjustment:resample_rate:inverted</handler>
	    <last_modification_time>Wed, 10 May 2000 08:13:28 GMT</last_modification_time>
	  </signal>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_turntable_rate_adjustment</handler>
	    <last_modification_time>Fri, 20 Oct 2000 06:14:21 GMT</last_modification_time>
	  </signal>
	  <creation_function>gtk_pix_scrollbar_create_func</creation_function>
	  <string1>bluetone/vtrough.xpm:bluetone/vhandle.xpm:bluetone/vhandle.xpm:bluetone/vhandle.xpm:bluetone/vhandle.xpm</string1>
	  <string2>5:5:0:91:1:0.88:1.12:1:0.0005:0.0005:0.0005</string2>
	  <int1>0</int1>
	  <int2>0</int2>
	  <last_modification_time>Thu, 04 May 2000 01:59:40 GMT</last_modification_time>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox5</name>
	<x>120</x>
	<y>9</y>
	<width>140</width>
	<height>11</height>
	<tooltip>click to seek forward/back by a fraction of a beat; +/- half beat maximum</tooltip>

	<widget>
	  <class>Custom</class>
	  <name>custom13</name>
	  <width>140</width>
	  <height>11</height>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_turntable_nudge_song_adjustment</handler>
	    <last_modification_time>Wed, 19 Jul 2000 22:19:46 GMT</last_modification_time>
	  </signal>
	  <creation_function>gtk_pix_scrollbar_create_func</creation_function>
	  <string1>bluetone/nudgetrough.xpm:bluetone/nudgehandle.xpm</string1>
	  <string2>1:2:139:0:0:-0.25:0.25:.1</string2>
	  <int1>1</int1>
	  <int2>0</int2>
	  <last_modification_time>Thu, 04 May 2000 01:59:40 GMT</last_modification_time>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox6</name>
	<x>262</x>
	<y>107</y>
	<width>12</width>
	<height>14</height>
	<tooltip>assign a set of hardware bindings</tooltip>

	<widget>
	  <class>GtkAlignment</class>
	  <name>alignment1</name>
	  <width>12</width>
	  <height>14</height>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xscale>1</xscale>
	  <yscale>1</yscale>

	  <widget>
	    <class>Custom</class>
	    <name>hardware_button</name>
	    <width>12</width>
	    <height>12</height>
	<tooltip>assign a set of hardware bindings</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_skin_make_binding_dialog</handler>
	      <last_modification_time>Tue, 22 Feb 2000 15:38:12 GMT</last_modification_time>
	    </signal>
	    <creation_function>gtk_pix_button_create_func</creation_function>
	    <string1>bluetone/hardware.xpm:bluetone/hardware.xpm:bluetone/hardware.xpm:bluetone/hardware.xpm</string1>
	    <int1>0</int1>
	    <int2>0</int2>
	    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox15</name>
	<x>22</x>
	<y>144</y>
	<width>237</width>
	<height>4</height>
	<tooltip>sync preview</tooltip>

	<widget>
	  <class>Custom</class>
	  <name>custom10</name>
	  <width>237</width>
	  <height>4</height>
	  <tooltip>sync preview</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_turntable_sync_preview_adjustment</handler>
	    <last_modification_time>Thu, 04 May 2000 06:30:55 GMT</last_modification_time>
	  </signal>
	  <creation_function>gtk_pix_scrollbar_create_func</creation_function>
	  <string1>bluetone/synctrough.xpm:bluetone/synchandle.xpm:bluetone/synchandle.xpm:bluetone/synchandle.xpm:bluetone/synchandle.xpm</string1>
	  <string2>-3:3:242:0:0:-0.55:0.55:.1</string2>
	  <int1>0</int1>
	  <int2>0</int2>
	  <last_modification_time>Thu, 04 May 2000 01:59:40 GMT</last_modification_time>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox16</name>
	<x>12</x>
	<y>131</y>
	<width>252</width>
	<height>8</height>
	<tooltip>track display area; a left click seeks to an index point in beat, a right click seeks to any location in beat</tooltip>

	<widget>
	  <class>Custom</class>
	  <name>custom16_trackdrawingarea</name>
	  <width>252</width>
	  <height>8</height>
	<tooltip>track display area; a left click seeks to an index point in beat, a right click seeks to any location in beat</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_turntable_track_display</handler>
	    <last_modification_time>Sun, 24 Sep 2000 23:46:55 GMT</last_modification_time>
	  </signal>
	  <creation_function>gtk_track_display_create_func</creation_function>
	  <string1></string1>
	  <string2></string2>
	  <int1>0</int1>
	  <int2>0</int2>
	  <last_modification_time>Sun, 24 Sep 2000 23:46:09 GMT</last_modification_time>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox17</name>
	<x>6</x>
	<y>123</y>
	<width>263</width>
	<height>7</height>
	<tooltip>position in song; click/drag to change</tooltip>

	<widget>
	  <class>Custom</class>
	  <name>custom9</name>
	  <width>263</width>
	  <height>7</height>
	<tooltip>position in song; click/drag to change</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_turntable_position_adjustment</handler>
	    <last_modification_time>Thu, 04 May 2000 04:27:43 GMT</last_modification_time>
	  </signal>
	  <creation_function>gtk_pix_scrollbar_create_func</creation_function>
	  <string1>bluetone/htrough.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm</string1>
	  <string2>5:4:252:0:0:0:1:.1</string2>
	  <int1>0</int1>
	  <int2>0</int2>
	  <last_modification_time>Thu, 04 May 2000 01:59:40 GMT</last_modification_time>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox18</name>
	<x>43</x>
	<y>10</y>
	<width>62</width>
	<height>8</height>
	<tooltip>click and drag to nudge the rate</tooltip>

	<widget>
	  <class>Custom</class>
	  <name>custom12</name>
	  <width>62</width>
	  <height>8</height>
	  <tooltip>click and drag to nudge the resample rate</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_turntable_nudge_rate_adjustment</handler>
	    <last_modification_time>Wed, 19 Jul 2000 17:12:40 GMT</last_modification_time>
	  </signal>
	  <creation_function>gdam_dial_create_func</creation_function>
	  <string1>bluetone/jog.xpm</string1>
	  <string2>0.0:-1.0:1.0:reset:8</string2>
	  <int1>800</int1>
	  <int2>7</int2>
	  <last_modification_time>Wed, 19 Jul 2000 00:10:32 GMT</last_modification_time>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
